# Generated by Django 5.0.6 on 2024-06-20 12:43

from django.db import migrations


def update_revisions(apps, schema_editor):
    from district.models import (
        DistrictCrossroadPage,
        DistrictCustomPage,
        DistrictGeoFeatureCollectionPage,
        DistrictGeoFeatureDetailPage,
    )

    # We need the actual page models
    # DistrictCrossroadPage = apps.get_model("district", "DistrictCrossroadPage")
    # DistrictCustomPage = apps.get_model("district", "DistrictCustomPage")
    # DistrictGeoFeatureCollectionPage = apps.get_model(
    #     "district", "DistrictGeoFeatureCollectionPage"
    # )
    # DistrictGeoFeatureDetailPage = apps.get_model(
    #     "district", "DistrictGeoFeatureDetailPage"
    # )

    for page_model in (
        DistrictCrossroadPage,
        DistrictCustomPage,
        DistrictGeoFeatureCollectionPage,
        DistrictGeoFeatureDetailPage,
    ):
        for page_instance in page_model.objects.all():
            try:
                page_instance.save_revision().publish()
            except Exception:
                continue


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0236_alter_districtcrossroadpage_content_and_more"),
    ]

    operations = [migrations.RunPython(update_revisions)]
