# Generated by Django 5.0.7 on 2024-08-28 10:40

import wagtail.blocks
import wagtail.contrib.table_block.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0282_alter_districtnewprogrampage_program"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtnewprogrampage",
            name="program",
            field=wagtail.fields.StreamField(
                [
                    (
                        "program_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "point_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "url",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz pokrývající celou tuto část",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Ikona", required=False
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek článku programu"
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        features=[
                                                            "h3",
                                                            "h4",
                                                            "h5",
                                                            "bold",
                                                            "italic",
                                                            "ol",
                                                            "ul",
                                                            "hr",
                                                            "link",
                                                            "document-link",
                                                            "image",
                                                            "superscript",
                                                            "subscript",
                                                            "strikethrough",
                                                            "blockquote",
                                                            "embed",
                                                        ],
                                                        label="Obsah",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Jednotlivé články programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program_group_crossroad",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "point_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek"
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek", required=True
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Krátký text pod nadpisem",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "district.DistrictArticlesPage",
                                                            "district.DistrictCenterPage",
                                                            "district.DistrictContactPage",
                                                            "district.DistrictCrossroadPage",
                                                            "district.DistrictCustomPage",
                                                            "district.DistrictPeoplePage",
                                                            "district.DistrictGeoFeatureCollectionPage",
                                                            "district.DistrictCalendarPage",
                                                            "district.DistrictPdfPage",
                                                            "district.DistrictNewProgramPage",
                                                        ],
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Karty programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program_group_popout",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "preamble",
                                    wagtail.blocks.RichTextBlock(
                                        help_text="Zobrazí se nad přepínačem mezi kandidáty a programem.",
                                        label="Preambule",
                                        required=False,
                                    ),
                                ),
                                (
                                    "categories",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "name",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název"
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Ikona", required=False
                                                    ),
                                                ),
                                                (
                                                    "description",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Popis", required=False
                                                    ),
                                                ),
                                                (
                                                    "point_list",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek vyskakovacího bloku"
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.RichTextBlock(
                                                                        features=[
                                                                            "h3",
                                                                            "h4",
                                                                            "h5",
                                                                            "bold",
                                                                            "italic",
                                                                            "ol",
                                                                            "ul",
                                                                            "hr",
                                                                            "link",
                                                                            "document-link",
                                                                            "image",
                                                                            "superscript",
                                                                            "subscript",
                                                                            "strikethrough",
                                                                            "blockquote",
                                                                            "embed",
                                                                        ],
                                                                        label="Obsah",
                                                                    ),
                                                                ),
                                                                (
                                                                    "guarantor",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Garant",
                                                                        page_type=[
                                                                            "district.DistrictPersonPage"
                                                                        ],
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                        label="Jednotlivé bloky programu",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kategorie programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program_group_with_candidates",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "preamble_content",
                                    wagtail.blocks.RichTextBlock(
                                        help_text="Text, který se zobrazí před přepínačem mezi kandidáty a programem.",
                                        label="Preambule",
                                        required=False,
                                    ),
                                ),
                                (
                                    "show_job",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je vybráno, u osob se zobrazí povolání místo stranické pozice.",
                                        label="Zobrazit povolání",
                                        required=False,
                                    ),
                                ),
                                (
                                    "primary_candidates",
                                    wagtail.blocks.StructBlock(
                                        [
                                            (
                                                "stream_candidates",
                                                wagtail.blocks.StreamBlock(
                                                    [
                                                        (
                                                            "candidate",
                                                            wagtail.blocks.StructBlock(
                                                                [
                                                                    (
                                                                        "page",
                                                                        wagtail.blocks.PageChooserBlock(
                                                                            label="Stránka",
                                                                            page_type=[
                                                                                "district.DistrictPersonPage",
                                                                                "district.DistrictOctopusPersonPage",
                                                                            ],
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "image",
                                                                        wagtail.images.blocks.ImageChooserBlock(
                                                                            help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                                            label="Obrázek",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "description",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            label="Popis",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                ]
                                                            ),
                                                        ),
                                                        (
                                                            "custom_candidate",
                                                            wagtail.blocks.StructBlock(
                                                                [
                                                                    (
                                                                        "title",
                                                                        wagtail.blocks.CharBlock(
                                                                            label="Nadpis"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "subtitle",
                                                                        wagtail.blocks.CharBlock(
                                                                            label="Podnadpis",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "job",
                                                                        wagtail.blocks.CharBlock(
                                                                            label="Povolání",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "image",
                                                                        wagtail.images.blocks.ImageChooserBlock(
                                                                            help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                                            label="Obrázek",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "description",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            label="Popis",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "button_url",
                                                                        wagtail.blocks.URLBlock(
                                                                            label="Odkaz tlačítka",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "button_text",
                                                                        wagtail.blocks.CharBlock(
                                                                            default="Zjisti více",
                                                                            help_text="Pokud není vyplněno, odkaz tlačítka se nezobrazí",
                                                                            label="Text tlačítka",
                                                                            required=False,
                                                                        ),
                                                                    ),
                                                                ]
                                                            ),
                                                        ),
                                                    ],
                                                    label=" ",
                                                    required=False,
                                                ),
                                            )
                                        ],
                                        help_text="Zobrazí se ve velkých blocích na začátku stránky.",
                                        label="Osoby na čele kandidátky",
                                    ),
                                ),
                                (
                                    "secondary_candidates",
                                    wagtail.blocks.StructBlock(
                                        [
                                            (
                                                "heading",
                                                wagtail.blocks.CharBlock(
                                                    default="Ostatní kandidáti",
                                                    label=" ",
                                                    required=False,
                                                ),
                                            ),
                                            (
                                                "candidates",
                                                wagtail.blocks.ListBlock(
                                                    wagtail.blocks.StructBlock(
                                                        [
                                                            (
                                                                "number",
                                                                wagtail.blocks.CharBlock(
                                                                    label="Číslo"
                                                                ),
                                                            ),
                                                            (
                                                                "page",
                                                                wagtail.blocks.PageChooserBlock(
                                                                    label="Stránka",
                                                                    page_type=[
                                                                        "district.DistrictPersonPage",
                                                                        "district.DistrictOctopusPersonPage",
                                                                    ],
                                                                ),
                                                            ),
                                                            (
                                                                "image",
                                                                wagtail.images.blocks.ImageChooserBlock(
                                                                    help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                                    label="Obrázek",
                                                                    required=False,
                                                                ),
                                                            ),
                                                        ]
                                                    ),
                                                    default=[],
                                                    label=" ",
                                                    min_num=0,
                                                ),
                                            ),
                                        ],
                                        help_text="Zobrazí se v kompaktním seznamu pod čelem kandidátky. Níže můžeš změnit nadpis.",
                                        label="Ostatní osoby na kandidátce",
                                    ),
                                ),
                                (
                                    "other_views",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Např. 'Volební noviny'",
                                                        label="Název sekce",
                                                    ),
                                                ),
                                                (
                                                    "child_blocks",
                                                    wagtail.blocks.StreamBlock(
                                                        [
                                                            (
                                                                "text",
                                                                wagtail.blocks.RichTextBlock(
                                                                    features=[
                                                                        "h2",
                                                                        "h3",
                                                                        "h4",
                                                                        "h5",
                                                                        "bold",
                                                                        "italic",
                                                                        "ol",
                                                                        "ul",
                                                                        "hr",
                                                                        "link",
                                                                        "document-link",
                                                                        "image",
                                                                        "superscript",
                                                                        "subscript",
                                                                        "strikethrough",
                                                                        "blockquote",
                                                                        "embed",
                                                                    ],
                                                                    group="1. Text",
                                                                    label="Textový editor",
                                                                    template="styleguide2/includes/atoms/text/prose_richtext.html",
                                                                ),
                                                            ),
                                                            (
                                                                "advanced_text",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "align",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "left",
                                                                                        "vlevo",
                                                                                    ),
                                                                                    (
                                                                                        "center",
                                                                                        "uprostřed",
                                                                                    ),
                                                                                    (
                                                                                        "right",
                                                                                        "vpravo",
                                                                                    ),
                                                                                ],
                                                                                label="zarovnání",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black_on_white",
                                                                                        "černá na bílé",
                                                                                    ),
                                                                                    (
                                                                                        "black_on_yellow",
                                                                                        "černá na žluté",
                                                                                    ),
                                                                                    (
                                                                                        "white_on_black",
                                                                                        "bílá na černé",
                                                                                    ),
                                                                                    (
                                                                                        "white_on_blue",
                                                                                        "bílá na modré",
                                                                                    ),
                                                                                    (
                                                                                        "white_on_cyan",
                                                                                        "bílá na tyrkysové",
                                                                                    ),
                                                                                    (
                                                                                        "white_on_violet",
                                                                                        "bílá na fialové",
                                                                                    ),
                                                                                ],
                                                                                label="barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "text",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                features=[
                                                                                    "h2",
                                                                                    "h3",
                                                                                    "h4",
                                                                                    "h5",
                                                                                    "bold",
                                                                                    "italic",
                                                                                    "ol",
                                                                                    "ul",
                                                                                    "hr",
                                                                                    "link",
                                                                                    "document-link",
                                                                                    "image",
                                                                                    "superscript",
                                                                                    "subscript",
                                                                                    "strikethrough",
                                                                                    "blockquote",
                                                                                    "embed",
                                                                                ],
                                                                                group="1. Text",
                                                                                label="Textový editor",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                            ),
                                                            (
                                                                "two_columns_text",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "left_text",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                features=[
                                                                                    "h2",
                                                                                    "h3",
                                                                                    "h4",
                                                                                    "h5",
                                                                                    "bold",
                                                                                    "italic",
                                                                                    "ol",
                                                                                    "ul",
                                                                                    "hr",
                                                                                    "link",
                                                                                    "document-link",
                                                                                    "image",
                                                                                    "superscript",
                                                                                    "subscript",
                                                                                    "strikethrough",
                                                                                    "blockquote",
                                                                                    "embed",
                                                                                ],
                                                                                label="levý sloupec",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "right_text",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                features=[
                                                                                    "h2",
                                                                                    "h3",
                                                                                    "h4",
                                                                                    "h5",
                                                                                    "bold",
                                                                                    "italic",
                                                                                    "ol",
                                                                                    "ul",
                                                                                    "hr",
                                                                                    "link",
                                                                                    "document-link",
                                                                                    "image",
                                                                                    "superscript",
                                                                                    "subscript",
                                                                                    "strikethrough",
                                                                                    "blockquote",
                                                                                    "embed",
                                                                                ],
                                                                                label="pravý sloupec",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                            ),
                                                            (
                                                                "headline",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "headline",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Nadpis",
                                                                                max_length=300,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "tag",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "h1",
                                                                                        "H1",
                                                                                    ),
                                                                                    (
                                                                                        "h2",
                                                                                        "H2",
                                                                                    ),
                                                                                    (
                                                                                        "h3",
                                                                                        "H3",
                                                                                    ),
                                                                                    (
                                                                                        "h4",
                                                                                        "H4",
                                                                                    ),
                                                                                    (
                                                                                        "h5",
                                                                                        "H5",
                                                                                    ),
                                                                                    (
                                                                                        "h6",
                                                                                        "H6",
                                                                                    ),
                                                                                ],
                                                                                help_text="Čím nižší číslo, tím vyšší úroveň.",
                                                                                label="Úroveň nadpisu",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "style",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "head-alt-xl",
                                                                                        "Velký, Bebas Neue - 6XL",
                                                                                    ),
                                                                                    (
                                                                                        "head-alt-lg",
                                                                                        "Střední, Bebas Neue - 4XL",
                                                                                    ),
                                                                                    (
                                                                                        "head-alt-md",
                                                                                        "Základní velikost - Roboto - MD",
                                                                                    ),
                                                                                    (
                                                                                        "head-alt-sm",
                                                                                        "Malý - Roboto - SM",
                                                                                    ),
                                                                                    (
                                                                                        "head-alt-xs",
                                                                                        "Extra malý - Roboto - XS",
                                                                                    ),
                                                                                ],
                                                                                help_text="Náhled si prohlédněte na https://styleguide2.pirati.cz/pattern/patterns/atoms/text/headings.html.",
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "align",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "auto",
                                                                                        "Automaticky",
                                                                                    ),
                                                                                    (
                                                                                        "center",
                                                                                        "Na střed",
                                                                                    ),
                                                                                ],
                                                                                label="Zarovnání",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                            ),
                                                            (
                                                                "headline_with_picture",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black_on_white",
                                                                                        "černá na bílé",
                                                                                    ),
                                                                                    (
                                                                                        "black_on_yellow",
                                                                                        "černá na žluté",
                                                                                    ),
                                                                                    (
                                                                                        "white_on_black",
                                                                                        "bílá na černé",
                                                                                    ),
                                                                                    (
                                                                                        "white_on_blue",
                                                                                        "bílá na modré",
                                                                                    ),
                                                                                    (
                                                                                        "white_on_cyan",
                                                                                        "bílá na tyrkysové",
                                                                                    ),
                                                                                    (
                                                                                        "white_on_violet",
                                                                                        "bílá na fialové",
                                                                                    ),
                                                                                ],
                                                                                label="barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="nadpis"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "picture",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                help_text="rozměr na výšku 75px nebo více (obrázek bude zmenšen na výšku 75px)",
                                                                                label="obrázek",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                            ),
                                                            (
                                                                "picture_list",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black_on_white",
                                                                                        "černá na bílé",
                                                                                    ),
                                                                                    (
                                                                                        "black_on_yellow",
                                                                                        "černá na žluté",
                                                                                    ),
                                                                                    (
                                                                                        "white_on_black",
                                                                                        "bílá na černé",
                                                                                    ),
                                                                                    (
                                                                                        "white_on_blue",
                                                                                        "bílá na modré",
                                                                                    ),
                                                                                    (
                                                                                        "white_on_cyan",
                                                                                        "bílá na tyrkysové",
                                                                                    ),
                                                                                    (
                                                                                        "white_on_violet",
                                                                                        "bílá na fialové",
                                                                                    ),
                                                                                ],
                                                                                label="barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "items",
                                                                            wagtail.blocks.ListBlock(
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                        "embed",
                                                                                    ],
                                                                                    label="Odstavec",
                                                                                ),
                                                                                label="Odstavce",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "picture",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                help_text="Rozměr 30x30px nebo více (obrázek bude zmenšen na 30x30px)",
                                                                                label="Obrázek",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                            ),
                                                            (
                                                                "flip_cards",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "cards",
                                                                            wagtail.blocks.ListBlock(
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "bg_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="FEC900",
                                                                                                label="Barva pozadí",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "title",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                help_text="Řádkování je manuální.",
                                                                                                label="Nadpis",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "content",
                                                                                            wagtail.blocks.RichTextBlock(
                                                                                                label="Obsah"
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "button_text",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Pokud není vyplněn, tlačítko se neukáže.",
                                                                                                label="Nadpis tlačítka",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "button_url",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                label="Odkaz tlačítka",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Karta",
                                                                                ),
                                                                                label="Karty",
                                                                            ),
                                                                        )
                                                                    ]
                                                                ),
                                                            ),
                                                            (
                                                                "table",
                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                    group="3. Ostatní",
                                                                    label="Tabulka",
                                                                    template="styleguide2/includes/atoms/table/table.html",
                                                                ),
                                                            ),
                                                            (
                                                                "popout_table",
                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                    group="3. Ostatní",
                                                                    label="Rozbalovací tabulka",
                                                                    template="styleguide2/includes/atoms/table/popout_table.html",
                                                                ),
                                                            ),
                                                            (
                                                                "gallery",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "gallery_items",
                                                                            wagtail.blocks.ListBlock(
                                                                                wagtail.images.blocks.ImageChooserBlock(
                                                                                    label="obrázek",
                                                                                    required=True,
                                                                                ),
                                                                                group="3. Ostatní",
                                                                                icon="image",
                                                                                label="Galerie",
                                                                            ),
                                                                        )
                                                                    ],
                                                                    label="Galerie",
                                                                ),
                                                            ),
                                                            (
                                                                "figure",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "img",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "caption",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                            ),
                                                            (
                                                                "card",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "img",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "headline",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Titulek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "content",
                                                                            wagtail.blocks.StreamBlock(
                                                                                [
                                                                                    (
                                                                                        "text",
                                                                                        wagtail.blocks.RichTextBlock(
                                                                                            features=[
                                                                                                "h2",
                                                                                                "h3",
                                                                                                "h4",
                                                                                                "h5",
                                                                                                "bold",
                                                                                                "italic",
                                                                                                "ol",
                                                                                                "ul",
                                                                                                "hr",
                                                                                                "link",
                                                                                                "document-link",
                                                                                                "image",
                                                                                                "superscript",
                                                                                                "subscript",
                                                                                                "strikethrough",
                                                                                                "blockquote",
                                                                                                "embed",
                                                                                            ],
                                                                                            group="1. Text",
                                                                                            label="Textový editor",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "table",
                                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                                            group="3. Ostatní",
                                                                                            label="Tabulka",
                                                                                            template="styleguide2/includes/atoms/table/table.html",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "figure",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "img",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "caption",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "youtube",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "poster_image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                        label="Náhled videa (automatické pole)",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "video_url",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                        label="Odkaz na video",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "video_id",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                        label="ID videa (automatické pole)",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "map_point",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "lat",
                                                                                                    wagtail.blocks.DecimalBlock(
                                                                                                        help_text="Např. 50.04075",
                                                                                                        label="Zeměpisná šířka",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "lon",
                                                                                                    wagtail.blocks.DecimalBlock(
                                                                                                        help_text="Např. 15.77659",
                                                                                                        label="Zeměpisná délka",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva špendlíku (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "zoom",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        default=15,
                                                                                                        label="Výchozí zoom",
                                                                                                        max_value=18,
                                                                                                        min_value=1,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "style",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "osm-mapnik",
                                                                                                                "OSM Mapnik",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-osm-bright",
                                                                                                                "Stadia OSM Bright",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-outdoors",
                                                                                                                "Stadia Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-streets",
                                                                                                                "Mapbox Streets",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-outdoors",
                                                                                                                "Mapbox Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-light",
                                                                                                                "Mapbox Light",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-dark",
                                                                                                                "Mapbox Dark",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-satellite",
                                                                                                                "Mapbox Satellite",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-pirate",
                                                                                                                "Mapbox Pirate Theme",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Styl",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "height",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        label="Výška v px",
                                                                                                        max_value=1000,
                                                                                                        min_value=100,
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            label="Špendlík na mapě",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "map_collection",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "features",
                                                                                                    wagtail.blocks.ListBlock(
                                                                                                        wagtail.blocks.StructBlock(
                                                                                                            [
                                                                                                                (
                                                                                                                    "title",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        label="Titulek",
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "description",
                                                                                                                    wagtail.blocks.TextBlock(
                                                                                                                        label="Popisek",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "geojson",
                                                                                                                    wagtail.blocks.TextBlock(
                                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                        label="Geodata",
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "image",
                                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                                        label="Obrázek",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "link",
                                                                                                                    wagtail.blocks.URLBlock(
                                                                                                                        label="Odkaz",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "hex_color",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        default="000000",
                                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                        label="Barva (HEX)",
                                                                                                                    ),
                                                                                                                ),
                                                                                                            ],
                                                                                                            required=True,
                                                                                                        ),
                                                                                                        label="Součásti",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "zoom",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        default=15,
                                                                                                        label="Výchozí zoom",
                                                                                                        max_value=18,
                                                                                                        min_value=1,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "style",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "osm-mapnik",
                                                                                                                "OSM Mapnik",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-osm-bright",
                                                                                                                "Stadia OSM Bright",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-outdoors",
                                                                                                                "Stadia Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-streets",
                                                                                                                "Mapbox Streets",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-outdoors",
                                                                                                                "Mapbox Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-light",
                                                                                                                "Mapbox Light",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-dark",
                                                                                                                "Mapbox Dark",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-satellite",
                                                                                                                "Mapbox Satellite",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-pirate",
                                                                                                                "Mapbox Pirate Theme",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Styl",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "height",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        label="Výška v px",
                                                                                                        max_value=1000,
                                                                                                        min_value=100,
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            label="Mapová kolekce",
                                                                                        ),
                                                                                    ),
                                                                                ],
                                                                                label="Obsah",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                            ),
                                                            (
                                                                "two_columns",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "left_column_content",
                                                                            wagtail.blocks.StreamBlock(
                                                                                [
                                                                                    (
                                                                                        "text",
                                                                                        wagtail.blocks.RichTextBlock(
                                                                                            features=[
                                                                                                "h2",
                                                                                                "h3",
                                                                                                "h4",
                                                                                                "h5",
                                                                                                "bold",
                                                                                                "italic",
                                                                                                "ol",
                                                                                                "ul",
                                                                                                "hr",
                                                                                                "link",
                                                                                                "document-link",
                                                                                                "image",
                                                                                                "superscript",
                                                                                                "subscript",
                                                                                                "strikethrough",
                                                                                                "blockquote",
                                                                                                "embed",
                                                                                            ],
                                                                                            group="1. Text",
                                                                                            label="Textový editor",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "table",
                                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                                            group="3. Ostatní",
                                                                                            label="Tabulka",
                                                                                            template="styleguide2/includes/atoms/table/table.html",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "card",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "img",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "headline",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Titulek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "content",
                                                                                                    wagtail.blocks.StreamBlock(
                                                                                                        [
                                                                                                            (
                                                                                                                "text",
                                                                                                                wagtail.blocks.RichTextBlock(
                                                                                                                    features=[
                                                                                                                        "h2",
                                                                                                                        "h3",
                                                                                                                        "h4",
                                                                                                                        "h5",
                                                                                                                        "bold",
                                                                                                                        "italic",
                                                                                                                        "ol",
                                                                                                                        "ul",
                                                                                                                        "hr",
                                                                                                                        "link",
                                                                                                                        "document-link",
                                                                                                                        "image",
                                                                                                                        "superscript",
                                                                                                                        "subscript",
                                                                                                                        "strikethrough",
                                                                                                                        "blockquote",
                                                                                                                        "embed",
                                                                                                                    ],
                                                                                                                    group="1. Text",
                                                                                                                    label="Textový editor",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "table",
                                                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                                                    group="3. Ostatní",
                                                                                                                    label="Tabulka",
                                                                                                                    template="styleguide2/includes/atoms/table/table.html",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "figure",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "img",
                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                label="Obrázek",
                                                                                                                                required=True,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "caption",
                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                label="Popisek",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ]
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "youtube",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "poster_image",
                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                                                label="Náhled videa (automatické pole)",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "video_url",
                                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                                                label="Odkaz na video",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "video_id",
                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                                                label="ID videa (automatické pole)",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ]
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "map_point",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "lat",
                                                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                                                help_text="Např. 50.04075",
                                                                                                                                label="Zeměpisná šířka",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "lon",
                                                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                                                help_text="Např. 15.77659",
                                                                                                                                label="Zeměpisná délka",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "hex_color",
                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                default="000000",
                                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                                label="Barva špendlíku (HEX)",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "zoom",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                default=15,
                                                                                                                                label="Výchozí zoom",
                                                                                                                                max_value=18,
                                                                                                                                min_value=1,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "style",
                                                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                                                choices=[
                                                                                                                                    (
                                                                                                                                        "osm-mapnik",
                                                                                                                                        "OSM Mapnik",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-osm-bright",
                                                                                                                                        "Stadia OSM Bright",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-outdoors",
                                                                                                                                        "Stadia Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-streets",
                                                                                                                                        "Mapbox Streets",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-outdoors",
                                                                                                                                        "Mapbox Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-light",
                                                                                                                                        "Mapbox Light",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-dark",
                                                                                                                                        "Mapbox Dark",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-satellite",
                                                                                                                                        "Mapbox Satellite",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-pirate",
                                                                                                                                        "Mapbox Pirate Theme",
                                                                                                                                    ),
                                                                                                                                ],
                                                                                                                                label="Styl",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "height",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                label="Výška v px",
                                                                                                                                max_value=1000,
                                                                                                                                min_value=100,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ],
                                                                                                                    label="Špendlík na mapě",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "map_collection",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "features",
                                                                                                                            wagtail.blocks.ListBlock(
                                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                                    [
                                                                                                                                        (
                                                                                                                                            "title",
                                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                                label="Titulek",
                                                                                                                                                required=True,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "description",
                                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                                label="Popisek",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "geojson",
                                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                                                label="Geodata",
                                                                                                                                                required=True,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "image",
                                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                                label="Obrázek",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "link",
                                                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                                                label="Odkaz",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "hex_color",
                                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                                default="000000",
                                                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                                                label="Barva (HEX)",
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                    ],
                                                                                                                                    required=True,
                                                                                                                                ),
                                                                                                                                label="Součásti",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "zoom",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                default=15,
                                                                                                                                label="Výchozí zoom",
                                                                                                                                max_value=18,
                                                                                                                                min_value=1,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "style",
                                                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                                                choices=[
                                                                                                                                    (
                                                                                                                                        "osm-mapnik",
                                                                                                                                        "OSM Mapnik",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-osm-bright",
                                                                                                                                        "Stadia OSM Bright",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-outdoors",
                                                                                                                                        "Stadia Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-streets",
                                                                                                                                        "Mapbox Streets",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-outdoors",
                                                                                                                                        "Mapbox Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-light",
                                                                                                                                        "Mapbox Light",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-dark",
                                                                                                                                        "Mapbox Dark",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-satellite",
                                                                                                                                        "Mapbox Satellite",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-pirate",
                                                                                                                                        "Mapbox Pirate Theme",
                                                                                                                                    ),
                                                                                                                                ],
                                                                                                                                label="Styl",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "height",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                label="Výška v px",
                                                                                                                                max_value=1000,
                                                                                                                                min_value=100,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ],
                                                                                                                    label="Mapová kolekce",
                                                                                                                ),
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Obsah",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "page",
                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                        label="Stránka",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "figure",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "img",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "caption",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "youtube",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "poster_image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                        label="Náhled videa (automatické pole)",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "video_url",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                        label="Odkaz na video",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "video_id",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                        label="ID videa (automatické pole)",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "map_point",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "lat",
                                                                                                    wagtail.blocks.DecimalBlock(
                                                                                                        help_text="Např. 50.04075",
                                                                                                        label="Zeměpisná šířka",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "lon",
                                                                                                    wagtail.blocks.DecimalBlock(
                                                                                                        help_text="Např. 15.77659",
                                                                                                        label="Zeměpisná délka",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva špendlíku (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "zoom",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        default=15,
                                                                                                        label="Výchozí zoom",
                                                                                                        max_value=18,
                                                                                                        min_value=1,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "style",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "osm-mapnik",
                                                                                                                "OSM Mapnik",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-osm-bright",
                                                                                                                "Stadia OSM Bright",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-outdoors",
                                                                                                                "Stadia Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-streets",
                                                                                                                "Mapbox Streets",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-outdoors",
                                                                                                                "Mapbox Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-light",
                                                                                                                "Mapbox Light",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-dark",
                                                                                                                "Mapbox Dark",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-satellite",
                                                                                                                "Mapbox Satellite",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-pirate",
                                                                                                                "Mapbox Pirate Theme",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Styl",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "height",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        label="Výška v px",
                                                                                                        max_value=1000,
                                                                                                        min_value=100,
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            label="Špendlík na mapě",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "map_collection",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "features",
                                                                                                    wagtail.blocks.ListBlock(
                                                                                                        wagtail.blocks.StructBlock(
                                                                                                            [
                                                                                                                (
                                                                                                                    "title",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        label="Titulek",
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "description",
                                                                                                                    wagtail.blocks.TextBlock(
                                                                                                                        label="Popisek",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "geojson",
                                                                                                                    wagtail.blocks.TextBlock(
                                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                        label="Geodata",
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "image",
                                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                                        label="Obrázek",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "link",
                                                                                                                    wagtail.blocks.URLBlock(
                                                                                                                        label="Odkaz",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "hex_color",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        default="000000",
                                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                        label="Barva (HEX)",
                                                                                                                    ),
                                                                                                                ),
                                                                                                            ],
                                                                                                            required=True,
                                                                                                        ),
                                                                                                        label="Součásti",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "zoom",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        default=15,
                                                                                                        label="Výchozí zoom",
                                                                                                        max_value=18,
                                                                                                        min_value=1,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "style",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "osm-mapnik",
                                                                                                                "OSM Mapnik",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-osm-bright",
                                                                                                                "Stadia OSM Bright",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-outdoors",
                                                                                                                "Stadia Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-streets",
                                                                                                                "Mapbox Streets",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-outdoors",
                                                                                                                "Mapbox Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-light",
                                                                                                                "Mapbox Light",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-dark",
                                                                                                                "Mapbox Dark",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-satellite",
                                                                                                                "Mapbox Satellite",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-pirate",
                                                                                                                "Mapbox Pirate Theme",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Styl",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "height",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        label="Výška v px",
                                                                                                        max_value=1000,
                                                                                                        min_value=100,
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            label="Mapová kolekce",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "button",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        max_length=128,
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "color",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "black",
                                                                                                                "Černá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "white",
                                                                                                                "Bílá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "pirati-yellow",
                                                                                                                "Žlutá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "grey-125",
                                                                                                                "Světle šedá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "blue-300",
                                                                                                                "Modrá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "cyan-200",
                                                                                                                "Tyrkysová",
                                                                                                            ),
                                                                                                            (
                                                                                                                "green-400",
                                                                                                                "Zelená",
                                                                                                            ),
                                                                                                            (
                                                                                                                "violet-400",
                                                                                                                "Vínová",
                                                                                                            ),
                                                                                                            (
                                                                                                                "red-600",
                                                                                                                "Červená",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Barva",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hoveractive",
                                                                                                    wagtail.blocks.BooleanBlock(
                                                                                                        default=True,
                                                                                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                                        label="Animovat na hover",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "page",
                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                        label="Stránka",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "align",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "auto",
                                                                                                                "Automaticky",
                                                                                                            ),
                                                                                                            (
                                                                                                                "center",
                                                                                                                "Na střed",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Zarovnání",
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "button_group",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "buttons",
                                                                                                    wagtail.blocks.ListBlock(
                                                                                                        wagtail.blocks.StructBlock(
                                                                                                            [
                                                                                                                (
                                                                                                                    "title",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        label="Titulek",
                                                                                                                        max_length=128,
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "color",
                                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                                        choices=[
                                                                                                                            (
                                                                                                                                "black",
                                                                                                                                "Černá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "white",
                                                                                                                                "Bílá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "pirati-yellow",
                                                                                                                                "Žlutá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "grey-125",
                                                                                                                                "Světle šedá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "blue-300",
                                                                                                                                "Modrá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "cyan-200",
                                                                                                                                "Tyrkysová",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "green-400",
                                                                                                                                "Zelená",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "violet-400",
                                                                                                                                "Vínová",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "red-600",
                                                                                                                                "Červená",
                                                                                                                            ),
                                                                                                                        ],
                                                                                                                        label="Barva",
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "hoveractive",
                                                                                                                    wagtail.blocks.BooleanBlock(
                                                                                                                        default=True,
                                                                                                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                                                        label="Animovat na hover",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "page",
                                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                                        label="Stránka",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "link",
                                                                                                                    wagtail.blocks.URLBlock(
                                                                                                                        label="Odkaz",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "align",
                                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                                        choices=[
                                                                                                                            (
                                                                                                                                "auto",
                                                                                                                                "Automaticky",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "center",
                                                                                                                                "Na střed",
                                                                                                                            ),
                                                                                                                        ],
                                                                                                                        label="Zarovnání",
                                                                                                                    ),
                                                                                                                ),
                                                                                                            ]
                                                                                                        ),
                                                                                                        label="Tlačítka",
                                                                                                    ),
                                                                                                )
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                ],
                                                                                label="Obsah levého sloupce",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "right_column_content",
                                                                            wagtail.blocks.StreamBlock(
                                                                                [
                                                                                    (
                                                                                        "text",
                                                                                        wagtail.blocks.RichTextBlock(
                                                                                            features=[
                                                                                                "h2",
                                                                                                "h3",
                                                                                                "h4",
                                                                                                "h5",
                                                                                                "bold",
                                                                                                "italic",
                                                                                                "ol",
                                                                                                "ul",
                                                                                                "hr",
                                                                                                "link",
                                                                                                "document-link",
                                                                                                "image",
                                                                                                "superscript",
                                                                                                "subscript",
                                                                                                "strikethrough",
                                                                                                "blockquote",
                                                                                                "embed",
                                                                                            ],
                                                                                            group="1. Text",
                                                                                            label="Textový editor",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "table",
                                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                                            group="3. Ostatní",
                                                                                            label="Tabulka",
                                                                                            template="styleguide2/includes/atoms/table/table.html",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "card",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "img",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "headline",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Titulek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "content",
                                                                                                    wagtail.blocks.StreamBlock(
                                                                                                        [
                                                                                                            (
                                                                                                                "text",
                                                                                                                wagtail.blocks.RichTextBlock(
                                                                                                                    features=[
                                                                                                                        "h2",
                                                                                                                        "h3",
                                                                                                                        "h4",
                                                                                                                        "h5",
                                                                                                                        "bold",
                                                                                                                        "italic",
                                                                                                                        "ol",
                                                                                                                        "ul",
                                                                                                                        "hr",
                                                                                                                        "link",
                                                                                                                        "document-link",
                                                                                                                        "image",
                                                                                                                        "superscript",
                                                                                                                        "subscript",
                                                                                                                        "strikethrough",
                                                                                                                        "blockquote",
                                                                                                                        "embed",
                                                                                                                    ],
                                                                                                                    group="1. Text",
                                                                                                                    label="Textový editor",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "table",
                                                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                                                    group="3. Ostatní",
                                                                                                                    label="Tabulka",
                                                                                                                    template="styleguide2/includes/atoms/table/table.html",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "figure",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "img",
                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                label="Obrázek",
                                                                                                                                required=True,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "caption",
                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                label="Popisek",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ]
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "youtube",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "poster_image",
                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                                                label="Náhled videa (automatické pole)",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "video_url",
                                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                                                label="Odkaz na video",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "video_id",
                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                                                label="ID videa (automatické pole)",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ]
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "map_point",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "lat",
                                                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                                                help_text="Např. 50.04075",
                                                                                                                                label="Zeměpisná šířka",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "lon",
                                                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                                                help_text="Např. 15.77659",
                                                                                                                                label="Zeměpisná délka",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "hex_color",
                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                default="000000",
                                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                                label="Barva špendlíku (HEX)",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "zoom",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                default=15,
                                                                                                                                label="Výchozí zoom",
                                                                                                                                max_value=18,
                                                                                                                                min_value=1,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "style",
                                                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                                                choices=[
                                                                                                                                    (
                                                                                                                                        "osm-mapnik",
                                                                                                                                        "OSM Mapnik",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-osm-bright",
                                                                                                                                        "Stadia OSM Bright",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-outdoors",
                                                                                                                                        "Stadia Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-streets",
                                                                                                                                        "Mapbox Streets",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-outdoors",
                                                                                                                                        "Mapbox Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-light",
                                                                                                                                        "Mapbox Light",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-dark",
                                                                                                                                        "Mapbox Dark",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-satellite",
                                                                                                                                        "Mapbox Satellite",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-pirate",
                                                                                                                                        "Mapbox Pirate Theme",
                                                                                                                                    ),
                                                                                                                                ],
                                                                                                                                label="Styl",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "height",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                label="Výška v px",
                                                                                                                                max_value=1000,
                                                                                                                                min_value=100,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ],
                                                                                                                    label="Špendlík na mapě",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "map_collection",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "features",
                                                                                                                            wagtail.blocks.ListBlock(
                                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                                    [
                                                                                                                                        (
                                                                                                                                            "title",
                                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                                label="Titulek",
                                                                                                                                                required=True,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "description",
                                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                                label="Popisek",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "geojson",
                                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                                                label="Geodata",
                                                                                                                                                required=True,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "image",
                                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                                label="Obrázek",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "link",
                                                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                                                label="Odkaz",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "hex_color",
                                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                                default="000000",
                                                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                                                label="Barva (HEX)",
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                    ],
                                                                                                                                    required=True,
                                                                                                                                ),
                                                                                                                                label="Součásti",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "zoom",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                default=15,
                                                                                                                                label="Výchozí zoom",
                                                                                                                                max_value=18,
                                                                                                                                min_value=1,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "style",
                                                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                                                choices=[
                                                                                                                                    (
                                                                                                                                        "osm-mapnik",
                                                                                                                                        "OSM Mapnik",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-osm-bright",
                                                                                                                                        "Stadia OSM Bright",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-outdoors",
                                                                                                                                        "Stadia Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-streets",
                                                                                                                                        "Mapbox Streets",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-outdoors",
                                                                                                                                        "Mapbox Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-light",
                                                                                                                                        "Mapbox Light",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-dark",
                                                                                                                                        "Mapbox Dark",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-satellite",
                                                                                                                                        "Mapbox Satellite",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-pirate",
                                                                                                                                        "Mapbox Pirate Theme",
                                                                                                                                    ),
                                                                                                                                ],
                                                                                                                                label="Styl",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "height",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                label="Výška v px",
                                                                                                                                max_value=1000,
                                                                                                                                min_value=100,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ],
                                                                                                                    label="Mapová kolekce",
                                                                                                                ),
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Obsah",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "page",
                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                        label="Stránka",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "figure",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "img",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "caption",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "youtube",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "poster_image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                        label="Náhled videa (automatické pole)",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "video_url",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                        label="Odkaz na video",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "video_id",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                        label="ID videa (automatické pole)",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "map_point",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "lat",
                                                                                                    wagtail.blocks.DecimalBlock(
                                                                                                        help_text="Např. 50.04075",
                                                                                                        label="Zeměpisná šířka",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "lon",
                                                                                                    wagtail.blocks.DecimalBlock(
                                                                                                        help_text="Např. 15.77659",
                                                                                                        label="Zeměpisná délka",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva špendlíku (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "zoom",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        default=15,
                                                                                                        label="Výchozí zoom",
                                                                                                        max_value=18,
                                                                                                        min_value=1,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "style",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "osm-mapnik",
                                                                                                                "OSM Mapnik",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-osm-bright",
                                                                                                                "Stadia OSM Bright",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-outdoors",
                                                                                                                "Stadia Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-streets",
                                                                                                                "Mapbox Streets",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-outdoors",
                                                                                                                "Mapbox Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-light",
                                                                                                                "Mapbox Light",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-dark",
                                                                                                                "Mapbox Dark",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-satellite",
                                                                                                                "Mapbox Satellite",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-pirate",
                                                                                                                "Mapbox Pirate Theme",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Styl",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "height",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        label="Výška v px",
                                                                                                        max_value=1000,
                                                                                                        min_value=100,
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            label="Špendlík na mapě",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "map_collection",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "features",
                                                                                                    wagtail.blocks.ListBlock(
                                                                                                        wagtail.blocks.StructBlock(
                                                                                                            [
                                                                                                                (
                                                                                                                    "title",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        label="Titulek",
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "description",
                                                                                                                    wagtail.blocks.TextBlock(
                                                                                                                        label="Popisek",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "geojson",
                                                                                                                    wagtail.blocks.TextBlock(
                                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                        label="Geodata",
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "image",
                                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                                        label="Obrázek",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "link",
                                                                                                                    wagtail.blocks.URLBlock(
                                                                                                                        label="Odkaz",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "hex_color",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        default="000000",
                                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                        label="Barva (HEX)",
                                                                                                                    ),
                                                                                                                ),
                                                                                                            ],
                                                                                                            required=True,
                                                                                                        ),
                                                                                                        label="Součásti",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "zoom",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        default=15,
                                                                                                        label="Výchozí zoom",
                                                                                                        max_value=18,
                                                                                                        min_value=1,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "style",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "osm-mapnik",
                                                                                                                "OSM Mapnik",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-osm-bright",
                                                                                                                "Stadia OSM Bright",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-outdoors",
                                                                                                                "Stadia Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-streets",
                                                                                                                "Mapbox Streets",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-outdoors",
                                                                                                                "Mapbox Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-light",
                                                                                                                "Mapbox Light",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-dark",
                                                                                                                "Mapbox Dark",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-satellite",
                                                                                                                "Mapbox Satellite",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-pirate",
                                                                                                                "Mapbox Pirate Theme",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Styl",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "height",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        label="Výška v px",
                                                                                                        max_value=1000,
                                                                                                        min_value=100,
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            label="Mapová kolekce",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "button",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        max_length=128,
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "color",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "black",
                                                                                                                "Černá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "white",
                                                                                                                "Bílá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "pirati-yellow",
                                                                                                                "Žlutá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "grey-125",
                                                                                                                "Světle šedá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "blue-300",
                                                                                                                "Modrá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "cyan-200",
                                                                                                                "Tyrkysová",
                                                                                                            ),
                                                                                                            (
                                                                                                                "green-400",
                                                                                                                "Zelená",
                                                                                                            ),
                                                                                                            (
                                                                                                                "violet-400",
                                                                                                                "Vínová",
                                                                                                            ),
                                                                                                            (
                                                                                                                "red-600",
                                                                                                                "Červená",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Barva",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hoveractive",
                                                                                                    wagtail.blocks.BooleanBlock(
                                                                                                        default=True,
                                                                                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                                        label="Animovat na hover",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "page",
                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                        label="Stránka",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "align",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "auto",
                                                                                                                "Automaticky",
                                                                                                            ),
                                                                                                            (
                                                                                                                "center",
                                                                                                                "Na střed",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Zarovnání",
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "button_group",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "buttons",
                                                                                                    wagtail.blocks.ListBlock(
                                                                                                        wagtail.blocks.StructBlock(
                                                                                                            [
                                                                                                                (
                                                                                                                    "title",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        label="Titulek",
                                                                                                                        max_length=128,
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "color",
                                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                                        choices=[
                                                                                                                            (
                                                                                                                                "black",
                                                                                                                                "Černá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "white",
                                                                                                                                "Bílá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "pirati-yellow",
                                                                                                                                "Žlutá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "grey-125",
                                                                                                                                "Světle šedá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "blue-300",
                                                                                                                                "Modrá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "cyan-200",
                                                                                                                                "Tyrkysová",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "green-400",
                                                                                                                                "Zelená",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "violet-400",
                                                                                                                                "Vínová",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "red-600",
                                                                                                                                "Červená",
                                                                                                                            ),
                                                                                                                        ],
                                                                                                                        label="Barva",
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "hoveractive",
                                                                                                                    wagtail.blocks.BooleanBlock(
                                                                                                                        default=True,
                                                                                                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                                                        label="Animovat na hover",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "page",
                                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                                        label="Stránka",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "link",
                                                                                                                    wagtail.blocks.URLBlock(
                                                                                                                        label="Odkaz",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "align",
                                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                                        choices=[
                                                                                                                            (
                                                                                                                                "auto",
                                                                                                                                "Automaticky",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "center",
                                                                                                                                "Na střed",
                                                                                                                            ),
                                                                                                                        ],
                                                                                                                        label="Zarovnání",
                                                                                                                    ),
                                                                                                                ),
                                                                                                            ]
                                                                                                        ),
                                                                                                        label="Tlačítka",
                                                                                                    ),
                                                                                                )
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                ],
                                                                                label="Obsah pravého sloupce",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                            ),
                                                            (
                                                                "three_columns",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "left_column_content",
                                                                            wagtail.blocks.StreamBlock(
                                                                                [
                                                                                    (
                                                                                        "text",
                                                                                        wagtail.blocks.RichTextBlock(
                                                                                            features=[
                                                                                                "h2",
                                                                                                "h3",
                                                                                                "h4",
                                                                                                "h5",
                                                                                                "bold",
                                                                                                "italic",
                                                                                                "ol",
                                                                                                "ul",
                                                                                                "hr",
                                                                                                "link",
                                                                                                "document-link",
                                                                                                "image",
                                                                                                "superscript",
                                                                                                "subscript",
                                                                                                "strikethrough",
                                                                                                "blockquote",
                                                                                                "embed",
                                                                                            ],
                                                                                            group="1. Text",
                                                                                            label="Textový editor",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "table",
                                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                                            group="3. Ostatní",
                                                                                            label="Tabulka",
                                                                                            template="styleguide2/includes/atoms/table/table.html",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "card",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "img",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "headline",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Titulek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "content",
                                                                                                    wagtail.blocks.StreamBlock(
                                                                                                        [
                                                                                                            (
                                                                                                                "text",
                                                                                                                wagtail.blocks.RichTextBlock(
                                                                                                                    features=[
                                                                                                                        "h2",
                                                                                                                        "h3",
                                                                                                                        "h4",
                                                                                                                        "h5",
                                                                                                                        "bold",
                                                                                                                        "italic",
                                                                                                                        "ol",
                                                                                                                        "ul",
                                                                                                                        "hr",
                                                                                                                        "link",
                                                                                                                        "document-link",
                                                                                                                        "image",
                                                                                                                        "superscript",
                                                                                                                        "subscript",
                                                                                                                        "strikethrough",
                                                                                                                        "blockquote",
                                                                                                                        "embed",
                                                                                                                    ],
                                                                                                                    group="1. Text",
                                                                                                                    label="Textový editor",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "table",
                                                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                                                    group="3. Ostatní",
                                                                                                                    label="Tabulka",
                                                                                                                    template="styleguide2/includes/atoms/table/table.html",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "figure",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "img",
                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                label="Obrázek",
                                                                                                                                required=True,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "caption",
                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                label="Popisek",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ]
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "youtube",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "poster_image",
                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                                                label="Náhled videa (automatické pole)",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "video_url",
                                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                                                label="Odkaz na video",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "video_id",
                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                                                label="ID videa (automatické pole)",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ]
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "map_point",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "lat",
                                                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                                                help_text="Např. 50.04075",
                                                                                                                                label="Zeměpisná šířka",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "lon",
                                                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                                                help_text="Např. 15.77659",
                                                                                                                                label="Zeměpisná délka",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "hex_color",
                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                default="000000",
                                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                                label="Barva špendlíku (HEX)",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "zoom",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                default=15,
                                                                                                                                label="Výchozí zoom",
                                                                                                                                max_value=18,
                                                                                                                                min_value=1,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "style",
                                                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                                                choices=[
                                                                                                                                    (
                                                                                                                                        "osm-mapnik",
                                                                                                                                        "OSM Mapnik",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-osm-bright",
                                                                                                                                        "Stadia OSM Bright",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-outdoors",
                                                                                                                                        "Stadia Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-streets",
                                                                                                                                        "Mapbox Streets",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-outdoors",
                                                                                                                                        "Mapbox Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-light",
                                                                                                                                        "Mapbox Light",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-dark",
                                                                                                                                        "Mapbox Dark",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-satellite",
                                                                                                                                        "Mapbox Satellite",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-pirate",
                                                                                                                                        "Mapbox Pirate Theme",
                                                                                                                                    ),
                                                                                                                                ],
                                                                                                                                label="Styl",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "height",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                label="Výška v px",
                                                                                                                                max_value=1000,
                                                                                                                                min_value=100,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ],
                                                                                                                    label="Špendlík na mapě",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "map_collection",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "features",
                                                                                                                            wagtail.blocks.ListBlock(
                                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                                    [
                                                                                                                                        (
                                                                                                                                            "title",
                                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                                label="Titulek",
                                                                                                                                                required=True,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "description",
                                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                                label="Popisek",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "geojson",
                                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                                                label="Geodata",
                                                                                                                                                required=True,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "image",
                                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                                label="Obrázek",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "link",
                                                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                                                label="Odkaz",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "hex_color",
                                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                                default="000000",
                                                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                                                label="Barva (HEX)",
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                    ],
                                                                                                                                    required=True,
                                                                                                                                ),
                                                                                                                                label="Součásti",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "zoom",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                default=15,
                                                                                                                                label="Výchozí zoom",
                                                                                                                                max_value=18,
                                                                                                                                min_value=1,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "style",
                                                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                                                choices=[
                                                                                                                                    (
                                                                                                                                        "osm-mapnik",
                                                                                                                                        "OSM Mapnik",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-osm-bright",
                                                                                                                                        "Stadia OSM Bright",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-outdoors",
                                                                                                                                        "Stadia Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-streets",
                                                                                                                                        "Mapbox Streets",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-outdoors",
                                                                                                                                        "Mapbox Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-light",
                                                                                                                                        "Mapbox Light",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-dark",
                                                                                                                                        "Mapbox Dark",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-satellite",
                                                                                                                                        "Mapbox Satellite",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-pirate",
                                                                                                                                        "Mapbox Pirate Theme",
                                                                                                                                    ),
                                                                                                                                ],
                                                                                                                                label="Styl",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "height",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                label="Výška v px",
                                                                                                                                max_value=1000,
                                                                                                                                min_value=100,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ],
                                                                                                                    label="Mapová kolekce",
                                                                                                                ),
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Obsah",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "page",
                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                        label="Stránka",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "figure",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "img",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "caption",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "youtube",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "poster_image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                        label="Náhled videa (automatické pole)",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "video_url",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                        label="Odkaz na video",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "video_id",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                        label="ID videa (automatické pole)",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "map_point",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "lat",
                                                                                                    wagtail.blocks.DecimalBlock(
                                                                                                        help_text="Např. 50.04075",
                                                                                                        label="Zeměpisná šířka",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "lon",
                                                                                                    wagtail.blocks.DecimalBlock(
                                                                                                        help_text="Např. 15.77659",
                                                                                                        label="Zeměpisná délka",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva špendlíku (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "zoom",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        default=15,
                                                                                                        label="Výchozí zoom",
                                                                                                        max_value=18,
                                                                                                        min_value=1,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "style",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "osm-mapnik",
                                                                                                                "OSM Mapnik",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-osm-bright",
                                                                                                                "Stadia OSM Bright",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-outdoors",
                                                                                                                "Stadia Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-streets",
                                                                                                                "Mapbox Streets",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-outdoors",
                                                                                                                "Mapbox Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-light",
                                                                                                                "Mapbox Light",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-dark",
                                                                                                                "Mapbox Dark",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-satellite",
                                                                                                                "Mapbox Satellite",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-pirate",
                                                                                                                "Mapbox Pirate Theme",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Styl",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "height",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        label="Výška v px",
                                                                                                        max_value=1000,
                                                                                                        min_value=100,
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            label="Špendlík na mapě",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "map_collection",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "features",
                                                                                                    wagtail.blocks.ListBlock(
                                                                                                        wagtail.blocks.StructBlock(
                                                                                                            [
                                                                                                                (
                                                                                                                    "title",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        label="Titulek",
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "description",
                                                                                                                    wagtail.blocks.TextBlock(
                                                                                                                        label="Popisek",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "geojson",
                                                                                                                    wagtail.blocks.TextBlock(
                                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                        label="Geodata",
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "image",
                                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                                        label="Obrázek",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "link",
                                                                                                                    wagtail.blocks.URLBlock(
                                                                                                                        label="Odkaz",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "hex_color",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        default="000000",
                                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                        label="Barva (HEX)",
                                                                                                                    ),
                                                                                                                ),
                                                                                                            ],
                                                                                                            required=True,
                                                                                                        ),
                                                                                                        label="Součásti",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "zoom",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        default=15,
                                                                                                        label="Výchozí zoom",
                                                                                                        max_value=18,
                                                                                                        min_value=1,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "style",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "osm-mapnik",
                                                                                                                "OSM Mapnik",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-osm-bright",
                                                                                                                "Stadia OSM Bright",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-outdoors",
                                                                                                                "Stadia Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-streets",
                                                                                                                "Mapbox Streets",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-outdoors",
                                                                                                                "Mapbox Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-light",
                                                                                                                "Mapbox Light",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-dark",
                                                                                                                "Mapbox Dark",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-satellite",
                                                                                                                "Mapbox Satellite",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-pirate",
                                                                                                                "Mapbox Pirate Theme",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Styl",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "height",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        label="Výška v px",
                                                                                                        max_value=1000,
                                                                                                        min_value=100,
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            label="Mapová kolekce",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "button",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        max_length=128,
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "color",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "black",
                                                                                                                "Černá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "white",
                                                                                                                "Bílá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "pirati-yellow",
                                                                                                                "Žlutá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "grey-125",
                                                                                                                "Světle šedá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "blue-300",
                                                                                                                "Modrá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "cyan-200",
                                                                                                                "Tyrkysová",
                                                                                                            ),
                                                                                                            (
                                                                                                                "green-400",
                                                                                                                "Zelená",
                                                                                                            ),
                                                                                                            (
                                                                                                                "violet-400",
                                                                                                                "Vínová",
                                                                                                            ),
                                                                                                            (
                                                                                                                "red-600",
                                                                                                                "Červená",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Barva",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hoveractive",
                                                                                                    wagtail.blocks.BooleanBlock(
                                                                                                        default=True,
                                                                                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                                        label="Animovat na hover",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "page",
                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                        label="Stránka",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "align",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "auto",
                                                                                                                "Automaticky",
                                                                                                            ),
                                                                                                            (
                                                                                                                "center",
                                                                                                                "Na střed",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Zarovnání",
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "button_group",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "buttons",
                                                                                                    wagtail.blocks.ListBlock(
                                                                                                        wagtail.blocks.StructBlock(
                                                                                                            [
                                                                                                                (
                                                                                                                    "title",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        label="Titulek",
                                                                                                                        max_length=128,
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "color",
                                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                                        choices=[
                                                                                                                            (
                                                                                                                                "black",
                                                                                                                                "Černá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "white",
                                                                                                                                "Bílá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "pirati-yellow",
                                                                                                                                "Žlutá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "grey-125",
                                                                                                                                "Světle šedá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "blue-300",
                                                                                                                                "Modrá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "cyan-200",
                                                                                                                                "Tyrkysová",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "green-400",
                                                                                                                                "Zelená",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "violet-400",
                                                                                                                                "Vínová",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "red-600",
                                                                                                                                "Červená",
                                                                                                                            ),
                                                                                                                        ],
                                                                                                                        label="Barva",
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "hoveractive",
                                                                                                                    wagtail.blocks.BooleanBlock(
                                                                                                                        default=True,
                                                                                                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                                                        label="Animovat na hover",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "page",
                                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                                        label="Stránka",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "link",
                                                                                                                    wagtail.blocks.URLBlock(
                                                                                                                        label="Odkaz",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "align",
                                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                                        choices=[
                                                                                                                            (
                                                                                                                                "auto",
                                                                                                                                "Automaticky",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "center",
                                                                                                                                "Na střed",
                                                                                                                            ),
                                                                                                                        ],
                                                                                                                        label="Zarovnání",
                                                                                                                    ),
                                                                                                                ),
                                                                                                            ]
                                                                                                        ),
                                                                                                        label="Tlačítka",
                                                                                                    ),
                                                                                                )
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                ],
                                                                                label="Obsah levého sloupce",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "middle_column_content",
                                                                            wagtail.blocks.StreamBlock(
                                                                                [
                                                                                    (
                                                                                        "text",
                                                                                        wagtail.blocks.RichTextBlock(
                                                                                            features=[
                                                                                                "h2",
                                                                                                "h3",
                                                                                                "h4",
                                                                                                "h5",
                                                                                                "bold",
                                                                                                "italic",
                                                                                                "ol",
                                                                                                "ul",
                                                                                                "hr",
                                                                                                "link",
                                                                                                "document-link",
                                                                                                "image",
                                                                                                "superscript",
                                                                                                "subscript",
                                                                                                "strikethrough",
                                                                                                "blockquote",
                                                                                                "embed",
                                                                                            ],
                                                                                            group="1. Text",
                                                                                            label="Textový editor",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "table",
                                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                                            group="3. Ostatní",
                                                                                            label="Tabulka",
                                                                                            template="styleguide2/includes/atoms/table/table.html",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "card",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "img",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "headline",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Titulek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "content",
                                                                                                    wagtail.blocks.StreamBlock(
                                                                                                        [
                                                                                                            (
                                                                                                                "text",
                                                                                                                wagtail.blocks.RichTextBlock(
                                                                                                                    features=[
                                                                                                                        "h2",
                                                                                                                        "h3",
                                                                                                                        "h4",
                                                                                                                        "h5",
                                                                                                                        "bold",
                                                                                                                        "italic",
                                                                                                                        "ol",
                                                                                                                        "ul",
                                                                                                                        "hr",
                                                                                                                        "link",
                                                                                                                        "document-link",
                                                                                                                        "image",
                                                                                                                        "superscript",
                                                                                                                        "subscript",
                                                                                                                        "strikethrough",
                                                                                                                        "blockquote",
                                                                                                                        "embed",
                                                                                                                    ],
                                                                                                                    group="1. Text",
                                                                                                                    label="Textový editor",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "table",
                                                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                                                    group="3. Ostatní",
                                                                                                                    label="Tabulka",
                                                                                                                    template="styleguide2/includes/atoms/table/table.html",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "figure",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "img",
                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                label="Obrázek",
                                                                                                                                required=True,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "caption",
                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                label="Popisek",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ]
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "youtube",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "poster_image",
                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                                                label="Náhled videa (automatické pole)",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "video_url",
                                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                                                label="Odkaz na video",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "video_id",
                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                                                label="ID videa (automatické pole)",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ]
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "map_point",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "lat",
                                                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                                                help_text="Např. 50.04075",
                                                                                                                                label="Zeměpisná šířka",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "lon",
                                                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                                                help_text="Např. 15.77659",
                                                                                                                                label="Zeměpisná délka",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "hex_color",
                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                default="000000",
                                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                                label="Barva špendlíku (HEX)",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "zoom",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                default=15,
                                                                                                                                label="Výchozí zoom",
                                                                                                                                max_value=18,
                                                                                                                                min_value=1,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "style",
                                                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                                                choices=[
                                                                                                                                    (
                                                                                                                                        "osm-mapnik",
                                                                                                                                        "OSM Mapnik",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-osm-bright",
                                                                                                                                        "Stadia OSM Bright",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-outdoors",
                                                                                                                                        "Stadia Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-streets",
                                                                                                                                        "Mapbox Streets",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-outdoors",
                                                                                                                                        "Mapbox Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-light",
                                                                                                                                        "Mapbox Light",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-dark",
                                                                                                                                        "Mapbox Dark",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-satellite",
                                                                                                                                        "Mapbox Satellite",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-pirate",
                                                                                                                                        "Mapbox Pirate Theme",
                                                                                                                                    ),
                                                                                                                                ],
                                                                                                                                label="Styl",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "height",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                label="Výška v px",
                                                                                                                                max_value=1000,
                                                                                                                                min_value=100,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ],
                                                                                                                    label="Špendlík na mapě",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "map_collection",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "features",
                                                                                                                            wagtail.blocks.ListBlock(
                                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                                    [
                                                                                                                                        (
                                                                                                                                            "title",
                                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                                label="Titulek",
                                                                                                                                                required=True,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "description",
                                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                                label="Popisek",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "geojson",
                                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                                                label="Geodata",
                                                                                                                                                required=True,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "image",
                                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                                label="Obrázek",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "link",
                                                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                                                label="Odkaz",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "hex_color",
                                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                                default="000000",
                                                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                                                label="Barva (HEX)",
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                    ],
                                                                                                                                    required=True,
                                                                                                                                ),
                                                                                                                                label="Součásti",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "zoom",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                default=15,
                                                                                                                                label="Výchozí zoom",
                                                                                                                                max_value=18,
                                                                                                                                min_value=1,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "style",
                                                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                                                choices=[
                                                                                                                                    (
                                                                                                                                        "osm-mapnik",
                                                                                                                                        "OSM Mapnik",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-osm-bright",
                                                                                                                                        "Stadia OSM Bright",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-outdoors",
                                                                                                                                        "Stadia Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-streets",
                                                                                                                                        "Mapbox Streets",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-outdoors",
                                                                                                                                        "Mapbox Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-light",
                                                                                                                                        "Mapbox Light",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-dark",
                                                                                                                                        "Mapbox Dark",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-satellite",
                                                                                                                                        "Mapbox Satellite",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-pirate",
                                                                                                                                        "Mapbox Pirate Theme",
                                                                                                                                    ),
                                                                                                                                ],
                                                                                                                                label="Styl",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "height",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                label="Výška v px",
                                                                                                                                max_value=1000,
                                                                                                                                min_value=100,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ],
                                                                                                                    label="Mapová kolekce",
                                                                                                                ),
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Obsah",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "page",
                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                        label="Stránka",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "figure",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "img",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "caption",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "youtube",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "poster_image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                        label="Náhled videa (automatické pole)",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "video_url",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                        label="Odkaz na video",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "video_id",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                        label="ID videa (automatické pole)",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "map_point",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "lat",
                                                                                                    wagtail.blocks.DecimalBlock(
                                                                                                        help_text="Např. 50.04075",
                                                                                                        label="Zeměpisná šířka",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "lon",
                                                                                                    wagtail.blocks.DecimalBlock(
                                                                                                        help_text="Např. 15.77659",
                                                                                                        label="Zeměpisná délka",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva špendlíku (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "zoom",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        default=15,
                                                                                                        label="Výchozí zoom",
                                                                                                        max_value=18,
                                                                                                        min_value=1,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "style",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "osm-mapnik",
                                                                                                                "OSM Mapnik",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-osm-bright",
                                                                                                                "Stadia OSM Bright",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-outdoors",
                                                                                                                "Stadia Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-streets",
                                                                                                                "Mapbox Streets",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-outdoors",
                                                                                                                "Mapbox Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-light",
                                                                                                                "Mapbox Light",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-dark",
                                                                                                                "Mapbox Dark",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-satellite",
                                                                                                                "Mapbox Satellite",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-pirate",
                                                                                                                "Mapbox Pirate Theme",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Styl",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "height",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        label="Výška v px",
                                                                                                        max_value=1000,
                                                                                                        min_value=100,
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            label="Špendlík na mapě",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "map_collection",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "features",
                                                                                                    wagtail.blocks.ListBlock(
                                                                                                        wagtail.blocks.StructBlock(
                                                                                                            [
                                                                                                                (
                                                                                                                    "title",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        label="Titulek",
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "description",
                                                                                                                    wagtail.blocks.TextBlock(
                                                                                                                        label="Popisek",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "geojson",
                                                                                                                    wagtail.blocks.TextBlock(
                                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                        label="Geodata",
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "image",
                                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                                        label="Obrázek",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "link",
                                                                                                                    wagtail.blocks.URLBlock(
                                                                                                                        label="Odkaz",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "hex_color",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        default="000000",
                                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                        label="Barva (HEX)",
                                                                                                                    ),
                                                                                                                ),
                                                                                                            ],
                                                                                                            required=True,
                                                                                                        ),
                                                                                                        label="Součásti",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "zoom",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        default=15,
                                                                                                        label="Výchozí zoom",
                                                                                                        max_value=18,
                                                                                                        min_value=1,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "style",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "osm-mapnik",
                                                                                                                "OSM Mapnik",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-osm-bright",
                                                                                                                "Stadia OSM Bright",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-outdoors",
                                                                                                                "Stadia Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-streets",
                                                                                                                "Mapbox Streets",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-outdoors",
                                                                                                                "Mapbox Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-light",
                                                                                                                "Mapbox Light",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-dark",
                                                                                                                "Mapbox Dark",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-satellite",
                                                                                                                "Mapbox Satellite",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-pirate",
                                                                                                                "Mapbox Pirate Theme",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Styl",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "height",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        label="Výška v px",
                                                                                                        max_value=1000,
                                                                                                        min_value=100,
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            label="Mapová kolekce",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "button",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        max_length=128,
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "color",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "black",
                                                                                                                "Černá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "white",
                                                                                                                "Bílá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "pirati-yellow",
                                                                                                                "Žlutá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "grey-125",
                                                                                                                "Světle šedá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "blue-300",
                                                                                                                "Modrá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "cyan-200",
                                                                                                                "Tyrkysová",
                                                                                                            ),
                                                                                                            (
                                                                                                                "green-400",
                                                                                                                "Zelená",
                                                                                                            ),
                                                                                                            (
                                                                                                                "violet-400",
                                                                                                                "Vínová",
                                                                                                            ),
                                                                                                            (
                                                                                                                "red-600",
                                                                                                                "Červená",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Barva",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hoveractive",
                                                                                                    wagtail.blocks.BooleanBlock(
                                                                                                        default=True,
                                                                                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                                        label="Animovat na hover",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "page",
                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                        label="Stránka",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "align",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "auto",
                                                                                                                "Automaticky",
                                                                                                            ),
                                                                                                            (
                                                                                                                "center",
                                                                                                                "Na střed",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Zarovnání",
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "button_group",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "buttons",
                                                                                                    wagtail.blocks.ListBlock(
                                                                                                        wagtail.blocks.StructBlock(
                                                                                                            [
                                                                                                                (
                                                                                                                    "title",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        label="Titulek",
                                                                                                                        max_length=128,
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "color",
                                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                                        choices=[
                                                                                                                            (
                                                                                                                                "black",
                                                                                                                                "Černá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "white",
                                                                                                                                "Bílá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "pirati-yellow",
                                                                                                                                "Žlutá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "grey-125",
                                                                                                                                "Světle šedá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "blue-300",
                                                                                                                                "Modrá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "cyan-200",
                                                                                                                                "Tyrkysová",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "green-400",
                                                                                                                                "Zelená",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "violet-400",
                                                                                                                                "Vínová",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "red-600",
                                                                                                                                "Červená",
                                                                                                                            ),
                                                                                                                        ],
                                                                                                                        label="Barva",
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "hoveractive",
                                                                                                                    wagtail.blocks.BooleanBlock(
                                                                                                                        default=True,
                                                                                                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                                                        label="Animovat na hover",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "page",
                                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                                        label="Stránka",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "link",
                                                                                                                    wagtail.blocks.URLBlock(
                                                                                                                        label="Odkaz",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "align",
                                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                                        choices=[
                                                                                                                            (
                                                                                                                                "auto",
                                                                                                                                "Automaticky",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "center",
                                                                                                                                "Na střed",
                                                                                                                            ),
                                                                                                                        ],
                                                                                                                        label="Zarovnání",
                                                                                                                    ),
                                                                                                                ),
                                                                                                            ]
                                                                                                        ),
                                                                                                        label="Tlačítka",
                                                                                                    ),
                                                                                                )
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                ],
                                                                                label="Obsah prostředního sloupce",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "right_column_content",
                                                                            wagtail.blocks.StreamBlock(
                                                                                [
                                                                                    (
                                                                                        "text",
                                                                                        wagtail.blocks.RichTextBlock(
                                                                                            features=[
                                                                                                "h2",
                                                                                                "h3",
                                                                                                "h4",
                                                                                                "h5",
                                                                                                "bold",
                                                                                                "italic",
                                                                                                "ol",
                                                                                                "ul",
                                                                                                "hr",
                                                                                                "link",
                                                                                                "document-link",
                                                                                                "image",
                                                                                                "superscript",
                                                                                                "subscript",
                                                                                                "strikethrough",
                                                                                                "blockquote",
                                                                                                "embed",
                                                                                            ],
                                                                                            group="1. Text",
                                                                                            label="Textový editor",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "table",
                                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                                            group="3. Ostatní",
                                                                                            label="Tabulka",
                                                                                            template="styleguide2/includes/atoms/table/table.html",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "card",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "img",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "headline",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Titulek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "content",
                                                                                                    wagtail.blocks.StreamBlock(
                                                                                                        [
                                                                                                            (
                                                                                                                "text",
                                                                                                                wagtail.blocks.RichTextBlock(
                                                                                                                    features=[
                                                                                                                        "h2",
                                                                                                                        "h3",
                                                                                                                        "h4",
                                                                                                                        "h5",
                                                                                                                        "bold",
                                                                                                                        "italic",
                                                                                                                        "ol",
                                                                                                                        "ul",
                                                                                                                        "hr",
                                                                                                                        "link",
                                                                                                                        "document-link",
                                                                                                                        "image",
                                                                                                                        "superscript",
                                                                                                                        "subscript",
                                                                                                                        "strikethrough",
                                                                                                                        "blockquote",
                                                                                                                        "embed",
                                                                                                                    ],
                                                                                                                    group="1. Text",
                                                                                                                    label="Textový editor",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "table",
                                                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                                                    group="3. Ostatní",
                                                                                                                    label="Tabulka",
                                                                                                                    template="styleguide2/includes/atoms/table/table.html",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "figure",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "img",
                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                label="Obrázek",
                                                                                                                                required=True,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "caption",
                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                label="Popisek",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ]
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "youtube",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "poster_image",
                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                                                label="Náhled videa (automatické pole)",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "video_url",
                                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                                                label="Odkaz na video",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "video_id",
                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                                                label="ID videa (automatické pole)",
                                                                                                                                required=False,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ]
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "map_point",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "lat",
                                                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                                                help_text="Např. 50.04075",
                                                                                                                                label="Zeměpisná šířka",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "lon",
                                                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                                                help_text="Např. 15.77659",
                                                                                                                                label="Zeměpisná délka",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "hex_color",
                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                default="000000",
                                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                                label="Barva špendlíku (HEX)",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "zoom",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                default=15,
                                                                                                                                label="Výchozí zoom",
                                                                                                                                max_value=18,
                                                                                                                                min_value=1,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "style",
                                                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                                                choices=[
                                                                                                                                    (
                                                                                                                                        "osm-mapnik",
                                                                                                                                        "OSM Mapnik",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-osm-bright",
                                                                                                                                        "Stadia OSM Bright",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-outdoors",
                                                                                                                                        "Stadia Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-streets",
                                                                                                                                        "Mapbox Streets",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-outdoors",
                                                                                                                                        "Mapbox Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-light",
                                                                                                                                        "Mapbox Light",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-dark",
                                                                                                                                        "Mapbox Dark",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-satellite",
                                                                                                                                        "Mapbox Satellite",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-pirate",
                                                                                                                                        "Mapbox Pirate Theme",
                                                                                                                                    ),
                                                                                                                                ],
                                                                                                                                label="Styl",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "height",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                label="Výška v px",
                                                                                                                                max_value=1000,
                                                                                                                                min_value=100,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ],
                                                                                                                    label="Špendlík na mapě",
                                                                                                                ),
                                                                                                            ),
                                                                                                            (
                                                                                                                "map_collection",
                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                    [
                                                                                                                        (
                                                                                                                            "features",
                                                                                                                            wagtail.blocks.ListBlock(
                                                                                                                                wagtail.blocks.StructBlock(
                                                                                                                                    [
                                                                                                                                        (
                                                                                                                                            "title",
                                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                                label="Titulek",
                                                                                                                                                required=True,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "description",
                                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                                label="Popisek",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "geojson",
                                                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                                                label="Geodata",
                                                                                                                                                required=True,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "image",
                                                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                                                label="Obrázek",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "link",
                                                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                                                label="Odkaz",
                                                                                                                                                required=False,
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                        (
                                                                                                                                            "hex_color",
                                                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                                                default="000000",
                                                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                                                label="Barva (HEX)",
                                                                                                                                            ),
                                                                                                                                        ),
                                                                                                                                    ],
                                                                                                                                    required=True,
                                                                                                                                ),
                                                                                                                                label="Součásti",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "zoom",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                default=15,
                                                                                                                                label="Výchozí zoom",
                                                                                                                                max_value=18,
                                                                                                                                min_value=1,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "style",
                                                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                                                choices=[
                                                                                                                                    (
                                                                                                                                        "osm-mapnik",
                                                                                                                                        "OSM Mapnik",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-osm-bright",
                                                                                                                                        "Stadia OSM Bright",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "stadia-outdoors",
                                                                                                                                        "Stadia Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-streets",
                                                                                                                                        "Mapbox Streets",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-outdoors",
                                                                                                                                        "Mapbox Outdoors",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-light",
                                                                                                                                        "Mapbox Light",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-dark",
                                                                                                                                        "Mapbox Dark",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-satellite",
                                                                                                                                        "Mapbox Satellite",
                                                                                                                                    ),
                                                                                                                                    (
                                                                                                                                        "mapbox-pirate",
                                                                                                                                        "Mapbox Pirate Theme",
                                                                                                                                    ),
                                                                                                                                ],
                                                                                                                                label="Styl",
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                        (
                                                                                                                            "height",
                                                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                                                label="Výška v px",
                                                                                                                                max_value=1000,
                                                                                                                                min_value=100,
                                                                                                                            ),
                                                                                                                        ),
                                                                                                                    ],
                                                                                                                    label="Mapová kolekce",
                                                                                                                ),
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Obsah",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "page",
                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                        label="Stránka",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "figure",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "img",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "caption",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "youtube",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "poster_image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                        label="Náhled videa (automatické pole)",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "video_url",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                        label="Odkaz na video",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "video_id",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                        label="ID videa (automatické pole)",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "map_point",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "lat",
                                                                                                    wagtail.blocks.DecimalBlock(
                                                                                                        help_text="Např. 50.04075",
                                                                                                        label="Zeměpisná šířka",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "lon",
                                                                                                    wagtail.blocks.DecimalBlock(
                                                                                                        help_text="Např. 15.77659",
                                                                                                        label="Zeměpisná délka",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva špendlíku (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "zoom",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        default=15,
                                                                                                        label="Výchozí zoom",
                                                                                                        max_value=18,
                                                                                                        min_value=1,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "style",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "osm-mapnik",
                                                                                                                "OSM Mapnik",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-osm-bright",
                                                                                                                "Stadia OSM Bright",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-outdoors",
                                                                                                                "Stadia Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-streets",
                                                                                                                "Mapbox Streets",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-outdoors",
                                                                                                                "Mapbox Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-light",
                                                                                                                "Mapbox Light",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-dark",
                                                                                                                "Mapbox Dark",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-satellite",
                                                                                                                "Mapbox Satellite",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-pirate",
                                                                                                                "Mapbox Pirate Theme",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Styl",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "height",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        label="Výška v px",
                                                                                                        max_value=1000,
                                                                                                        min_value=100,
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            label="Špendlík na mapě",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "map_collection",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "features",
                                                                                                    wagtail.blocks.ListBlock(
                                                                                                        wagtail.blocks.StructBlock(
                                                                                                            [
                                                                                                                (
                                                                                                                    "title",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        label="Titulek",
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "description",
                                                                                                                    wagtail.blocks.TextBlock(
                                                                                                                        label="Popisek",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "geojson",
                                                                                                                    wagtail.blocks.TextBlock(
                                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                                        label="Geodata",
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "image",
                                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                                        label="Obrázek",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "link",
                                                                                                                    wagtail.blocks.URLBlock(
                                                                                                                        label="Odkaz",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "hex_color",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        default="000000",
                                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                        label="Barva (HEX)",
                                                                                                                    ),
                                                                                                                ),
                                                                                                            ],
                                                                                                            required=True,
                                                                                                        ),
                                                                                                        label="Součásti",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "zoom",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        default=15,
                                                                                                        label="Výchozí zoom",
                                                                                                        max_value=18,
                                                                                                        min_value=1,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "style",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "osm-mapnik",
                                                                                                                "OSM Mapnik",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-osm-bright",
                                                                                                                "Stadia OSM Bright",
                                                                                                            ),
                                                                                                            (
                                                                                                                "stadia-outdoors",
                                                                                                                "Stadia Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-streets",
                                                                                                                "Mapbox Streets",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-outdoors",
                                                                                                                "Mapbox Outdoors",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-light",
                                                                                                                "Mapbox Light",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-dark",
                                                                                                                "Mapbox Dark",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-satellite",
                                                                                                                "Mapbox Satellite",
                                                                                                            ),
                                                                                                            (
                                                                                                                "mapbox-pirate",
                                                                                                                "Mapbox Pirate Theme",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Styl",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "height",
                                                                                                    wagtail.blocks.IntegerBlock(
                                                                                                        label="Výška v px",
                                                                                                        max_value=1000,
                                                                                                        min_value=100,
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            label="Mapová kolekce",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "button",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        max_length=128,
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "color",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "black",
                                                                                                                "Černá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "white",
                                                                                                                "Bílá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "pirati-yellow",
                                                                                                                "Žlutá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "grey-125",
                                                                                                                "Světle šedá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "blue-300",
                                                                                                                "Modrá",
                                                                                                            ),
                                                                                                            (
                                                                                                                "cyan-200",
                                                                                                                "Tyrkysová",
                                                                                                            ),
                                                                                                            (
                                                                                                                "green-400",
                                                                                                                "Zelená",
                                                                                                            ),
                                                                                                            (
                                                                                                                "violet-400",
                                                                                                                "Vínová",
                                                                                                            ),
                                                                                                            (
                                                                                                                "red-600",
                                                                                                                "Červená",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Barva",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hoveractive",
                                                                                                    wagtail.blocks.BooleanBlock(
                                                                                                        default=True,
                                                                                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                                        label="Animovat na hover",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "page",
                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                        label="Stránka",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "align",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "auto",
                                                                                                                "Automaticky",
                                                                                                            ),
                                                                                                            (
                                                                                                                "center",
                                                                                                                "Na střed",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Zarovnání",
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "button_group",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "buttons",
                                                                                                    wagtail.blocks.ListBlock(
                                                                                                        wagtail.blocks.StructBlock(
                                                                                                            [
                                                                                                                (
                                                                                                                    "title",
                                                                                                                    wagtail.blocks.CharBlock(
                                                                                                                        label="Titulek",
                                                                                                                        max_length=128,
                                                                                                                        required=True,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "color",
                                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                                        choices=[
                                                                                                                            (
                                                                                                                                "black",
                                                                                                                                "Černá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "white",
                                                                                                                                "Bílá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "pirati-yellow",
                                                                                                                                "Žlutá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "grey-125",
                                                                                                                                "Světle šedá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "blue-300",
                                                                                                                                "Modrá",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "cyan-200",
                                                                                                                                "Tyrkysová",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "green-400",
                                                                                                                                "Zelená",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "violet-400",
                                                                                                                                "Vínová",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "red-600",
                                                                                                                                "Červená",
                                                                                                                            ),
                                                                                                                        ],
                                                                                                                        label="Barva",
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "hoveractive",
                                                                                                                    wagtail.blocks.BooleanBlock(
                                                                                                                        default=True,
                                                                                                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                                                        label="Animovat na hover",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "page",
                                                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                                                        label="Stránka",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "link",
                                                                                                                    wagtail.blocks.URLBlock(
                                                                                                                        label="Odkaz",
                                                                                                                        required=False,
                                                                                                                    ),
                                                                                                                ),
                                                                                                                (
                                                                                                                    "align",
                                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                                        choices=[
                                                                                                                            (
                                                                                                                                "auto",
                                                                                                                                "Automaticky",
                                                                                                                            ),
                                                                                                                            (
                                                                                                                                "center",
                                                                                                                                "Na střed",
                                                                                                                            ),
                                                                                                                        ],
                                                                                                                        label="Zarovnání",
                                                                                                                    ),
                                                                                                                ),
                                                                                                            ]
                                                                                                        ),
                                                                                                        label="Tlačítka",
                                                                                                    ),
                                                                                                )
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                ],
                                                                                label="Obsah pravého sloupce",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                            ),
                                                            (
                                                                "youtube",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "poster_image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                label="Náhled videa (automatické pole)",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "video_url",
                                                                            wagtail.blocks.URLBlock(
                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                label="Odkaz na video",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "video_id",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                label="ID videa (automatické pole)",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    label="YouTube video",
                                                                ),
                                                            ),
                                                            (
                                                                "map_point",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "lat",
                                                                            wagtail.blocks.DecimalBlock(
                                                                                help_text="Např. 50.04075",
                                                                                label="Zeměpisná šířka",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "lon",
                                                                            wagtail.blocks.DecimalBlock(
                                                                                help_text="Např. 15.77659",
                                                                                label="Zeměpisná délka",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva špendlíku (HEX)",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "zoom",
                                                                            wagtail.blocks.IntegerBlock(
                                                                                default=15,
                                                                                label="Výchozí zoom",
                                                                                max_value=18,
                                                                                min_value=1,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "style",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "osm-mapnik",
                                                                                        "OSM Mapnik",
                                                                                    ),
                                                                                    (
                                                                                        "stadia-osm-bright",
                                                                                        "Stadia OSM Bright",
                                                                                    ),
                                                                                    (
                                                                                        "stadia-outdoors",
                                                                                        "Stadia Outdoors",
                                                                                    ),
                                                                                    (
                                                                                        "mapbox-streets",
                                                                                        "Mapbox Streets",
                                                                                    ),
                                                                                    (
                                                                                        "mapbox-outdoors",
                                                                                        "Mapbox Outdoors",
                                                                                    ),
                                                                                    (
                                                                                        "mapbox-light",
                                                                                        "Mapbox Light",
                                                                                    ),
                                                                                    (
                                                                                        "mapbox-dark",
                                                                                        "Mapbox Dark",
                                                                                    ),
                                                                                    (
                                                                                        "mapbox-satellite",
                                                                                        "Mapbox Satellite",
                                                                                    ),
                                                                                    (
                                                                                        "mapbox-pirate",
                                                                                        "Mapbox Pirate Theme",
                                                                                    ),
                                                                                ],
                                                                                label="Styl",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "height",
                                                                            wagtail.blocks.IntegerBlock(
                                                                                label="Výška v px",
                                                                                max_value=1000,
                                                                                min_value=100,
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    label="Špendlík na mapě",
                                                                ),
                                                            ),
                                                            (
                                                                "map_collection",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "features",
                                                                            wagtail.blocks.ListBlock(
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "title",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                label="Titulek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "description",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "geojson",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                label="Geodata",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "link",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                label="Odkaz",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    required=True,
                                                                                ),
                                                                                label="Součásti",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "zoom",
                                                                            wagtail.blocks.IntegerBlock(
                                                                                default=15,
                                                                                label="Výchozí zoom",
                                                                                max_value=18,
                                                                                min_value=1,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "style",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "osm-mapnik",
                                                                                        "OSM Mapnik",
                                                                                    ),
                                                                                    (
                                                                                        "stadia-osm-bright",
                                                                                        "Stadia OSM Bright",
                                                                                    ),
                                                                                    (
                                                                                        "stadia-outdoors",
                                                                                        "Stadia Outdoors",
                                                                                    ),
                                                                                    (
                                                                                        "mapbox-streets",
                                                                                        "Mapbox Streets",
                                                                                    ),
                                                                                    (
                                                                                        "mapbox-outdoors",
                                                                                        "Mapbox Outdoors",
                                                                                    ),
                                                                                    (
                                                                                        "mapbox-light",
                                                                                        "Mapbox Light",
                                                                                    ),
                                                                                    (
                                                                                        "mapbox-dark",
                                                                                        "Mapbox Dark",
                                                                                    ),
                                                                                    (
                                                                                        "mapbox-satellite",
                                                                                        "Mapbox Satellite",
                                                                                    ),
                                                                                    (
                                                                                        "mapbox-pirate",
                                                                                        "Mapbox Pirate Theme",
                                                                                    ),
                                                                                ],
                                                                                label="Styl",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "height",
                                                                            wagtail.blocks.IntegerBlock(
                                                                                label="Výška v px",
                                                                                max_value=1000,
                                                                                min_value=100,
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    label="Mapová kolekce",
                                                                ),
                                                            ),
                                                            (
                                                                "button",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "pirati-yellow",
                                                                                        "Žlutá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelená",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "align",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "auto",
                                                                                        "Automaticky",
                                                                                    ),
                                                                                    (
                                                                                        "center",
                                                                                        "Na střed",
                                                                                    ),
                                                                                ],
                                                                                label="Zarovnání",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                            ),
                                                            (
                                                                "button_group",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "buttons",
                                                                            wagtail.blocks.ListBlock(
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "title",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                label="Titulek",
                                                                                                max_length=128,
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "color",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "black",
                                                                                                        "Černá",
                                                                                                    ),
                                                                                                    (
                                                                                                        "white",
                                                                                                        "Bílá",
                                                                                                    ),
                                                                                                    (
                                                                                                        "pirati-yellow",
                                                                                                        "Žlutá",
                                                                                                    ),
                                                                                                    (
                                                                                                        "grey-125",
                                                                                                        "Světle šedá",
                                                                                                    ),
                                                                                                    (
                                                                                                        "blue-300",
                                                                                                        "Modrá",
                                                                                                    ),
                                                                                                    (
                                                                                                        "cyan-200",
                                                                                                        "Tyrkysová",
                                                                                                    ),
                                                                                                    (
                                                                                                        "green-400",
                                                                                                        "Zelená",
                                                                                                    ),
                                                                                                    (
                                                                                                        "violet-400",
                                                                                                        "Vínová",
                                                                                                    ),
                                                                                                    (
                                                                                                        "red-600",
                                                                                                        "Červená",
                                                                                                    ),
                                                                                                ],
                                                                                                label="Barva",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hoveractive",
                                                                                            wagtail.blocks.BooleanBlock(
                                                                                                default=True,
                                                                                                help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                                                                                label="Animovat na hover",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "page",
                                                                                            wagtail.blocks.PageChooserBlock(
                                                                                                label="Stránka",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "link",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                label="Odkaz",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "align",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "auto",
                                                                                                        "Automaticky",
                                                                                                    ),
                                                                                                    (
                                                                                                        "center",
                                                                                                        "Na střed",
                                                                                                    ),
                                                                                                ],
                                                                                                label="Zarovnání",
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                                label="Tlačítka",
                                                                            ),
                                                                        )
                                                                    ]
                                                                ),
                                                            ),
                                                            (
                                                                "popout_point",
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "name",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Název",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "content",
                                                                            wagtail.blocks.StreamBlock(
                                                                                [
                                                                                    (
                                                                                        "text",
                                                                                        wagtail.blocks.RichTextBlock(
                                                                                            features=[
                                                                                                "h2",
                                                                                                "h3",
                                                                                                "h4",
                                                                                                "h5",
                                                                                                "bold",
                                                                                                "italic",
                                                                                                "ol",
                                                                                                "ul",
                                                                                                "hr",
                                                                                                "link",
                                                                                                "document-link",
                                                                                                "image",
                                                                                                "superscript",
                                                                                                "subscript",
                                                                                                "strikethrough",
                                                                                                "blockquote",
                                                                                                "embed",
                                                                                            ],
                                                                                            group="1. Text",
                                                                                            label="Textový editor",
                                                                                            template="styleguide2/includes/atoms/text/prose_richtext.html",
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "headline",
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "headline",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Nadpis",
                                                                                                        max_length=300,
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "tag",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "h1",
                                                                                                                "H1",
                                                                                                            ),
                                                                                                            (
                                                                                                                "h2",
                                                                                                                "H2",
                                                                                                            ),
                                                                                                            (
                                                                                                                "h3",
                                                                                                                "H3",
                                                                                                            ),
                                                                                                            (
                                                                                                                "h4",
                                                                                                                "H4",
                                                                                                            ),
                                                                                                            (
                                                                                                                "h5",
                                                                                                                "H5",
                                                                                                            ),
                                                                                                            (
                                                                                                                "h6",
                                                                                                                "H6",
                                                                                                            ),
                                                                                                        ],
                                                                                                        help_text="Čím nižší číslo, tím vyšší úroveň.",
                                                                                                        label="Úroveň nadpisu",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "style",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "head-alt-xl",
                                                                                                                "Velký, Bebas Neue - 6XL",
                                                                                                            ),
                                                                                                            (
                                                                                                                "head-alt-lg",
                                                                                                                "Střední, Bebas Neue - 4XL",
                                                                                                            ),
                                                                                                            (
                                                                                                                "head-alt-md",
                                                                                                                "Základní velikost - Roboto - MD",
                                                                                                            ),
                                                                                                            (
                                                                                                                "head-alt-sm",
                                                                                                                "Malý - Roboto - SM",
                                                                                                            ),
                                                                                                            (
                                                                                                                "head-alt-xs",
                                                                                                                "Extra malý - Roboto - XS",
                                                                                                            ),
                                                                                                        ],
                                                                                                        help_text="Náhled si prohlédněte na https://styleguide2.pirati.cz/pattern/patterns/atoms/text/headings.html.",
                                                                                                        label="Velikost",
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "align",
                                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                                        choices=[
                                                                                                            (
                                                                                                                "auto",
                                                                                                                "Automaticky",
                                                                                                            ),
                                                                                                            (
                                                                                                                "center",
                                                                                                                "Na střed",
                                                                                                            ),
                                                                                                        ],
                                                                                                        label="Zarovnání",
                                                                                                    ),
                                                                                                ),
                                                                                            ]
                                                                                        ),
                                                                                    ),
                                                                                    (
                                                                                        "table",
                                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                                            group="3. Ostatní",
                                                                                            label="Tabulka",
                                                                                            template="styleguide2/includes/atoms/table/table.html",
                                                                                        ),
                                                                                    ),
                                                                                ],
                                                                                label="Obsah",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                            ),
                                                        ],
                                                        label="Obsah",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        default=[],
                                        help_text="Použitelné např. pro zobrazení volebních novin na separátní záložce stránky s programem.",
                                        label="Ostatní záložky",
                                        min_num=0,
                                    ),
                                ),
                                (
                                    "tab_links",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "text",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název"
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz"
                                                    ),
                                                ),
                                            ],
                                            label="Odkaz",
                                        ),
                                        default=[],
                                        help_text="Odkazy na jiné části stránky, které se zobrazí jako záložka nahoře.",
                                        label="Odkazy zobrazené jako záložky",
                                        min_num=0,
                                    ),
                                ),
                                (
                                    "program",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "program_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                                                label="Název programu",
                                                            ),
                                                        ),
                                                        (
                                                            "point_list",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "url",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz pokrývající celou tuto část",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Ikona",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek článku programu"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "text",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                features=[
                                                                                    "h3",
                                                                                    "h4",
                                                                                    "h5",
                                                                                    "bold",
                                                                                    "italic",
                                                                                    "ol",
                                                                                    "ul",
                                                                                    "hr",
                                                                                    "link",
                                                                                    "document-link",
                                                                                    "image",
                                                                                    "superscript",
                                                                                    "subscript",
                                                                                    "strikethrough",
                                                                                    "blockquote",
                                                                                    "embed",
                                                                                ],
                                                                                label="Obsah",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Jednotlivé články programu",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "program_group_crossroad",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                                                label="Název programu",
                                                            ),
                                                        ),
                                                        (
                                                            "point_list",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "text",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                label="Krátký text pod nadpisem",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                page_type=[
                                                                                    "district.DistrictArticlesPage",
                                                                                    "district.DistrictCenterPage",
                                                                                    "district.DistrictContactPage",
                                                                                    "district.DistrictCrossroadPage",
                                                                                    "district.DistrictCustomPage",
                                                                                    "district.DistrictPeoplePage",
                                                                                    "district.DistrictGeoFeatureCollectionPage",
                                                                                    "district.DistrictCalendarPage",
                                                                                    "district.DistrictPdfPage",
                                                                                    "district.DistrictNewProgramPage",
                                                                                ],
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Karty programu",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "program_group_popout",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                                                label="Název programu",
                                                            ),
                                                        ),
                                                        (
                                                            "preamble",
                                                            wagtail.blocks.RichTextBlock(
                                                                help_text="Zobrazí se nad přepínačem mezi kandidáty a programem.",
                                                                label="Preambule",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "categories",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "name",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Název"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Ikona",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                label="Popis",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "point_list",
                                                                            wagtail.blocks.ListBlock(
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "title",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                label="Titulek vyskakovacího bloku"
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "content",
                                                                                            wagtail.blocks.RichTextBlock(
                                                                                                features=[
                                                                                                    "h3",
                                                                                                    "h4",
                                                                                                    "h5",
                                                                                                    "bold",
                                                                                                    "italic",
                                                                                                    "ol",
                                                                                                    "ul",
                                                                                                    "hr",
                                                                                                    "link",
                                                                                                    "document-link",
                                                                                                    "image",
                                                                                                    "superscript",
                                                                                                    "subscript",
                                                                                                    "strikethrough",
                                                                                                    "blockquote",
                                                                                                    "embed",
                                                                                                ],
                                                                                                label="Obsah",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "guarantor",
                                                                                            wagtail.blocks.PageChooserBlock(
                                                                                                label="Garant",
                                                                                                page_type=[
                                                                                                    "district.DistrictPersonPage"
                                                                                                ],
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                                label="Jednotlivé bloky programu",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Kategorie programu",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "carousel_program",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "label",
                                                            wagtail.blocks.CharBlock(
                                                                default="Program",
                                                                help_text="Např. 'Program'",
                                                                label="Nadpis",
                                                            ),
                                                        ),
                                                        (
                                                            "categories",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "number",
                                                                            wagtail.blocks.IntegerBlock(
                                                                                label="Číslo"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "name",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Název"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "points",
                                                                            wagtail.blocks.ListBlock(
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "content",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Obsah"
                                                                                            ),
                                                                                        )
                                                                                    ]
                                                                                ),
                                                                                label="Body",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Kategorie",
                                                            ),
                                                        ),
                                                        (
                                                            "long_version_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Pro zobrazení odkazu na celou verzi programu musí být obě následující pole vyplněná.",
                                                                label="Odkaz na celou verzi programu",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "long_version_text",
                                                            wagtail.blocks.CharBlock(
                                                                label="Nadpis odkazu na celou verzi programu",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ],
                                                    template="styleguide2/includes/molecules/program/program_block.html",
                                                ),
                                            ),
                                        ],
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Programy",
            ),
        ),
    ]
